clear all;
load 'PieceRegSig';
load 'Daub4';
[e,w1,start1] = decomp(sig,h,g,0);
% le support de w1 est [-2:2:1022]
% Sa longueur est 511+1+1=513.
[e,w2,start2] = decomp(e,h,g,start1);
% le support de w2 est [-8:4:1020]
[e,w3,start3] = decomp(e,h,g,start2);
l = length(e);
% le support de w3 est [-16:8:1016].
w3 = zeros(size(w3));
w2 = zeros(size(w2));
w1 = zeros(size(w1));

% Reconstruction
e = recons(e,w3,rh,rg);
% A la reconstruction, le support de e est
% [-16:4:1008+3*4] = [-16:4:1028];
% Il faut completer w2 pour le synchroniser
w2 =[zeros(1,2) w2 zeros(1,2)];
e = recons(e,w2,rh,rg);
% A la reconstruction, le support de e est
% [-16:2:1028+3*2] = [-16:2:1034];
% Il faut completer w1 pour le synchroniser
w1 =[zeros(1,7) w1 zeros(1,6)];
e = recons(e,w1,rh,rg);
% A la reconstruction, le support de e est
% [-16:1034+3] = [-16:1037];
% Il faut decouper e pour le synchroniser
sig1 = e(17:17+1023);
figure(1)
clf;
plot(sig1)
d = sig1-sig;
figure(2)
plot(d)
(d*d')/length(d)
l
% les plus grandes erreurs se trouvent aux singularits
