echo on
% recommencons a travailler avec 'PiecePolySig'.
load PiecePolySig;
% pour connaitre la premiere valeur de sig, il suffit de faire
sig(1)
% les vecteurs et matrices sont indicees a partir de 1.
dl;
% Supposons qu'on veuille connaitre les trois premieres valeurs de sig.
% On peut faire
sig(1)
sig(2)
sig(3)
% mais c'est long...
dl;
% On va lire sig sur un ensemble d'indice I.
% Creons cet ensemble:
I = [1 2 3]
% la syntaxe 'xxx =' cree une variable x et lui affecte
% ce qui est situe a droite du signe '='.
% les matrices litterales sont delimitees par des crochets.
dl;
% pour avoir les trois premieres valeurs de sig, il suffit de faire
sig(I)
dl;
% Que faire si on veut lire les 500 premieres valeurs?
% taper 500 chiffres, c'est long...
% l'instruction
I = [1:500];
% cree la suite des entiers de 1 a 500. Voyons ca sur un graphique
figure(1);
plot(I)
dl;
% et voyons maintenant le trace de 500 premieres valeurs de sig:
plot(sig(I));
dl;
% on aurait pu aussi taper
plot(sig(1:500));
dl;
% L'instruction
I = [1:2:1024];
% cree une suite d'entier espaces de 2 compris entre 1 et 1024.
% que peut representer sig(I)?
dl;
% c'est un sous echantillonnage de sig ne retenant qu'un valeur de sig
% sur 2 en commencant par la premiere
plot(sig(I));
% Vous allez maintenant pouvoir decomposer un signal sur la base de Haar: 
% c'est l'exercice No 2.
echo off;
