function [e,w,start1] = decomp(sig,h,g,start)
% [e,w] = decomp(sig,h,g) decomposes sig into a low resolution signal e
% using the low pass filter h, and a detail signal w using the band pass
% filter g.
[e,start1] = subfilt(sig,h,start);
[w,start2] = subfilt(sig,g,start);
% sanity check
if start2 ~= start1
	start2
	start1
	error('Error in decomp')	
end

