function dplot(sig)
% dplot(sig) plots the discrete signal sig using a piecewise
% constant representation
n = length(sig);
s = zeros(1,n*2);
t = s;
s(1:2:n*2) = sig;
s(2:2:n*2) = sig;
t(1:2:n*2) = [1:n];
t(2:2:n*2) = [1:n]+0.99;
plot(t,s);
