function y = overfilt(sig,h)
% y = overfilt(sig,h) oversamples sig by inserting a zero between every sample
% and convolves the result with h
n = length(sig);
y = zeros(1,2*n-1);
y(1:2:length(y)) = sig;
y = conv(y,h);
